添加Ceph主存储
添加Ceph主存储
POST
/zstack/v1/primary-storage/ceph操作 ID
AddCephPrimaryStorage起始版本
0.6执行模式
同步认证信息
需要认证认证信息
调用该 API 时需要在请求头中携带以下认证信息。
Authorizationstring必填Bearer 令牌
X-Tenant-IDstringX-Tenant-ID
请求参数
application/json请求体字段
paramsObject必填请求体参数结构
monUrlsList必填Ceph mon 的地址列表
rootVolumePoolNameString指定 Root Volume 可使用的 Ceph pool 名字
dataVolumePoolNameString指定 Data Volume 可使用的 Ceph pool 名字
imageCachePoolNameString指定镜像缓存可使用的 Ceph pool 名字
urlString必填未使用
nameString必填Ceph 主存储的名称
descriptionStringCeph 主存储的详细描述
typeStringCeph 主存储的类型,此处为 Ceph
zoneUuidString必填区域UUID
resourceUuidString资源UUID。若指定,Ceph 主存储会使用该字段值作为UUID。
systemTagsList系统标签
userTagsList用户标签
